rio_update_route_tables
Prev | Enumeration and Discovery | Next

## Name

rio_update_route_tables — Updates route tables in switches

## Synopsis

`void rio_update_route_tables (` | struct rio_mport * | port`)`;

## Arguments

`port`

  Master port associated with the RIO network

## Description

For each enumerated device, ensure that each switch in a system has correct routing entries. Add routes for devices that where unknown dirung the first enumeration pass through the switch.

Prev | Up | Next
rio_alloc_net | Home | rio_enum_mport